Members

List

get

Retrieve the list of RD Session Host servers which are members of the specified group.

Path parameters
hostPoolIdinteger · int32Required

ID of the RD Session Host Pool of which members information will be retrieved

Responses
chevron-right
200

Success

application/json; api-version=1.0

Remote Desktop Server Host

idinteger · int32Optional

ID of the object.

adminCreatestring · nullableOptional

User who created the object.

adminLastModstring · nullableOptional

User who last modified the object.

timeCreatestring · date-timeOptional

Time when the object was created.

timeLastModstring · date-timeOptional

Time when the object was last modified.

serverstring · nullableOptional

Server name.

enabledbooleanOptional

Whether the server is enabled or not.

descriptionstring · nullableOptional

Description of the server.

siteIdinteger · int32Optional

ID of the site.

directAddressstring · nullableOptional

The direct address of the target RD Session Host server.

rasTemplateIdinteger · int32Optional

The RDSH RAS Template ID.

inheritDefaultAgentSettingsbooleanOptional

If true, default agent settings will be inherited.

inheritDefaultPrinterSettingsbooleanOptional

If true, default printer settings will be inherited.

inheritDefaultUserProfileSettingsbooleanOptional

If true, default User Profile settings will be inherited.

inheritDefaultDesktopAccessSettingsbooleanOptional

If true, default desktop access settings will be inherited.

inheritDefaultOptimizationSettingsboolean · nullableOptional

If true, default optimization settings will be inherited.

inheritDefaultAppPackageSettingsbooleanOptional

If true, default app package settings will be inherited.

portinteger · int32Optional

The port number of RD Session Host agent.

maxSessionsinteger · int32Optional

Maximum number of session a RDS Host can have.

disconnectActiveSessionAfterinteger · int32Optional

Disconnect active session after (in seconds). 0 - Never.

logoffDisconnectedSessionAfterinteger · int32Optional

Logoff disconnected session after (in seconds). 0 - Never; 1 - Immediate.

allowURLAndMailRedirectionstring · enumOptional

URL and Mail Redirection values.

Possible values:
supportShellURLNamespaceObjectsbooleanOptional

Specifies if 'Support Shell URL Namespace Objects' option is enabled or disabled.

allowRemoteExecbooleanOptional

Specifies if 'Allow 2XRemoteExec to send command to the client' option is enabled or disabled.

enableAppMonitoringbooleanOptional

Specifies if 'Application Monitoring' option is enabled or disabled.

useRemoteAppsbooleanOptional

Specifies if 'Use RemoteApps if available' option is enables or disabled.

allowFileTransferbooleanOptional

Specifies if 'Allow file transfer' option is enables or disabled. (deprecated)

fileTransferModestring · enumOptional

File Transfer Control modes.

Possible values:
fileTransferLocationstring · nullableOptional

Location where the File Transfer takes place, if and where it is allowed.

fileTransferLockLocationbooleanOptional

Lock Location where the File Transfer takes place, if and where it is allowed.

allowDragAndDropbooleanOptional

Specifies if 'Allow local to remote drag and drop' option is enables or disabled. (deprecated)

dragAndDropModestring · enumOptional

Drag and drop redirection values.

Possible values:
preferredBrokerIdinteger · int32Optional

The preferred Connection broker ID.

enableDriveRedirectionCachebooleanOptional

Specifies if the 'Enable Drive Redirection Cache' option is enabled or disabled.

manageRDPTransportProtocolstring · enumOptional

Manage RDP transport protocol.

Possible values:
enablePrintingbooleanOptional

Specifies if Universal Printing on the RD Session Host server is Enabled or disabled. In the RAS console, this option is toggled on the Universal Printing tab page in the Universal Printing category.

enableTWAINbooleanOptional

Specifies if TWAIN (Universal Scanning) on the RD Session Host server is enabled or disabled. In the RAS console, this option is toggled on the TWAIN tab page in the Universal Scanning category.

enableWIAbooleanOptional

Specifies if WIA (Universal Scanning) on the RD Session Host server is enabled or disabled. In the RAS console, this options is toggled on the WIA tab page in the Universal Scanning category.

printerNameFormatstring · enumOptional

Printer Name Format

Possible values:
removeClientNameFromPrinterNamebooleanOptional

Specifies if 'Remove client name from printer name' option is enabled or disabled.

removeSessionNumberFromPrinterNamebooleanOptional

Specifies if 'Remove session number from printer name' option is enabled or disabled.

technologystring · enumOptional

User Profile Technology values.

Possible values:
updModestring · enumOptional

User Profile Disk Mode.

Possible values:
maxUserProfileDiskSizeGBinteger · int32Optional

Specifies the max user profile disk size (in GB).

diskPathstring · nullableOptional

Specifies the User Profile Disk path.

roamingModestring · enumOptional

User Profile Disk Roaming Mode.

Possible values:
includeFolderPathstring[] · nullableOptional

Specifies the UPD 'Include' folder paths.

includeFilePathstring[] · nullableOptional

Specifies the UPD 'Include' file paths.

excludeFolderPathstring[] · nullableOptional

Specifies the UPD 'Exclude' folder paths.

excludeFilePathstring[] · nullableOptional

Specifies the UPD 'Exclude' file paths.

restrictDesktopAccessbooleanOptional

Specifies if 'Restrict direct desktop access to the following users' option is enabled or disabled.

restrictedUsersstring[] · nullableOptional

Specifies the list of users for the RestrictDesktopAccess option (the option should be enabled). The list can contain user account names and user SIDs.

enableOptimizationbooleanOptional
get
/api/RDS/HostPool/{hostPoolId}/Members

Move

put

Move a member to a RD Session Host Pool.

Path parameters
hostPoolIdinteger · int32Required

ID of the member to be added to a RD Session Host Pool

Body
objectOptional

Move a member to the RD Session Host Pool

Responses
put
/api/RDS/HostPool/{hostPoolId}/Members

No content

Deprecated

Delete

delete

Delete a member from a RD Session Host server group. This endpoint is obsolete, use Move Member endpoint instead.

Path parameters
groupIdinteger · int32Required

ID of the member of a RD Session Host server group to be deleted

rdsidinteger · int32Required

ID of the RD Session Host server group of which the member will be deleted

Responses
delete
/api/RDS/HostPool/{groupId}/Members/{rdsid}

No content

Deprecated

Add

post

Add a member to a RD Session Host server group. This endpoint is obsolete, use Move Member endpoint instead.

Path parameters
groupIdinteger · int32Required

ID of the member to be added to a RD Session Host server group

Body
rdsIdsinteger · int32[] · nullableRequired

The IDs of RD Session Host servers to be added to the specified group.

Responses
post
/api/RDS/HostPool/{groupId}/Members

No content